# Файл описывает расположение кнопки "Открыть смену" на Рабочем столе, параметры, которые необходимы для работы этого приложения, и действия, которые выполняются при открытии смены.
#
ShiftOpen : {
  name = "Открыть смену"  	# Надпись на кнопке. Может быть длиной от 1 до 30 символов
  launcherPossition = 500	# Расположение кнопки на экране. Значения должны быть кратны 100, первая кнопка = 100. При конфликте номеров на экране отображаются в произвольном порядке.
  applicationMetadata = "app_shift_open"	# Параметр не изменять!
  paths : [ "." ]							# Параметр не изменять!
  subsystems : [
    {app_shift : {
      params: {
        bl : {
          action = open		# Параметр не изменять!
          otherSubsystemConnectsAttempts = 10			# Количество попыток подключения к подсистемам, которые необходимы для выполнения данной операции. 
														# Параметр изменять не рекомендуется.
          otherSubsystemConnectTimeout = 1 # in sec. 	# Время ожидания ответа от этих подсистем при каждой попытке подключения. 
														# Параметр изменять не рекомендуется.
        }
        ui : {
          keyboardLayout: {include file("conf/hardware/keyboard_layout/keyboardLayout.conf")}	# Параметр не изменять!
          name = "Открытие смены"	# Заголовок экранной формы, в которой выводится информация о процессе открытия смены. Длина от 1 до 30 символов.
        }
      }
      # Сценарий открытия смены - дополнительные действия, которые выполняются (могут выполняться) при открытии смены.
      # Сценарий определяется набором plugins (шагов). Обязательным является только действие - "openshift", остальные - не обязательны.
      # Порядок выполнения действий определяется не порядком их перечисления в данном списке, а параметром "num",
      # заданном в каждом действии. Если значения num одинаковы, то порядок выполнения случаен.
      plugins : [
        # Проверка состояния KKT
        { include file("conf/applications/shiftopen/check_kkt.conf") }		# Параметр не изменять!
        # Операция открытия смены в кассе и в KKT
        { include file("conf/applications/shiftopen/openshift.conf") }		# Параметр не изменять!
        # Cинхронизация суммы в денежном ящике KKT и кассы.
        { include file("conf/applications/shiftopen/money_box_synchronizer.conf") }	# Параметр удалять не рекомендуется.
        # Печать x-отчета на ККТ.
        #{ include file("conf/applications/shiftopen/xreport.conf") }		# "Раскомментировать", если есть необходимость в печати Х-отчета при открытии смены.
      ]
    }}
  ]
}
